### APT Mirror Configuration

```shell
sudo nano /etc/apt/source.list
```

**Mirro Fast**
```sh
deb http://mirror.ctdn.net/ubuntu focal main restricted
deb http://mirror.ctdn.net/ubuntu focal-updates main restricted
deb http://mirror.ctdn.net/ubuntu focal universe
deb http://mirror.ctdn.net/ubuntu focal-updates universe
deb http://mirror.ctdn.net/ubuntu focal multiverse
deb http://mirror.ctdn.net/ubuntu focal-updates multiverse
deb http://mirror.ctdn.net/ubuntu focal-backports main restricted universe multiverse
deb http://mirror.ctdn.net/ubuntu focal-security main restricted
deb http://mirror.ctdn.net/ubuntu focal-security universe
deb http://mirror.ctdn.net/ubuntu focal-security multiverse
deb http://mirror.ctdn.net/ubuntu-security focal-security multiverse
deb http://mirror.ctdn.net/ubuntu-security focal-security multiverse

deb [arch=amd64 signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] http://mirror.ctdn.net/docker focal stable
deb [arch=amd64] http://mirror.ctdn.net/msedge stable main
```

**Mirror Nexus**
```shell
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal main restricted
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal-updates main restricted
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal universe
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal-updates universe
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal multiverse
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal-updates multiverse
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal-backports main restricted universe multiverse
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal-security main restricted
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal-security universe
deb https://nexus.kh.cubetiqs.com/repository/ubuntu focal-security multiverse

deb https://nexus.kh.cubetiqs.com/repository/ubuntu-security focal-security universe
deb https://nexus.kh.cubetiqs.com/repository/ubuntu-security focal-security multiverse
```

**Mirror Repository**
- Example for Ubuntu Focal
```shell
deb http://apt.internal.cubetiqs.com/ubuntu focal main restricted
deb http://apt.internal.cubetiqs.com/ubuntu focal-updates main restricted
deb http://apt.internal.cubetiqs.com/ubuntu focal universe
deb http://apt.internal.cubetiqs.com/ubuntu focal-updates universe
deb http://apt.internal.cubetiqs.com/ubuntu focal multiverse
deb http://apt.internal.cubetiqs.com/ubuntu focal-updates multiverse
deb http://apt.internal.cubetiqs.com/ubuntu focal-backports main restricted universe multiverse
deb http://apt.internal.cubetiqs.com/ubuntu focal-security main restricted
deb http://apt.internal.cubetiqs.com/ubuntu focal-security universe
deb http://apt.internal.cubetiqs.com/ubuntu focal-security multiverse
```

**Mirror Internal DNS**
```shell
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal main restricted
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal-updates main restricted
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal universe
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal-updates universe
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal multiverse
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal-updates multiverse
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal-backports main restricted universe multiverse
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal-security main restricted
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal-security universe
deb http://apt.mirrors.cubetiqhost.net/ubuntu focal-security multiverse
```

- Change the version of Ubuntu
```shell
UBUNTU_VERSION=$(lsb_release -cs)

deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION} main restricted
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-updates main restricted
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION} universe
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-updates universe
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION} multiverse
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-updates multiverse
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-backports main restricted universe multiverse
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-security main restricted
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-security universe
deb http://apt.internal.cubetiqs.com/ubuntu ${UBUNTU_VERSION}-security multiverse
```
